# Update an activity log type

Endpoint: PATCH /v1alpha/activityLogTypes/{activityLogType}
Version: v1alpha
Security: oauth2_client_credentials, oauth2_authorization_code

## Path parameters:

  - `activityLogType` (string, required)
    The activityLogType id.

## Query parameters:

  - `updateMask` (string)
    Optional. The list of fields to be updated.

 If not provided (i.e., the mask is omitted), the server will update all
 fields that are populated in the `activity_log_type` message in this request
 (i.e., fields that have a non-empty value).

 The special value `*` can be used for a full replacement of the resource,
 equivalent to a PUT operation. When using `*`, be cautious as new fields
 added to the resource in the future will also be updated.

 For robust updates, explicitly specifying the fields is recommended.

 See AIP-134 (Standard Update) and AIP-161 (Field Masks) for more details.

## Request fields (application/json):

  - `name` (string)
    (IDENTIFIER)

  - `label` (string, required)

## Response 200 fields (application/json):

  - `name` (string)
    (IDENTIFIER)

  - `label` (string, required)

